Keywords
********


Links to manual entries
=======================

**forcefield:**

* APPLE&P

* AllowMissingParameters

* BondsUsage

* CheckDuplicateRules

* DipoleConvergenceThreshold

* EnergyTerms

* EwaldSummation

* ForceFieldFile

* GAFF

* GuessCharges

* GuessChargesConfig

* LAMMPSOffload

* LoadCharges

* NeighborListSkin

* NonBondedCutoff

* ReuseTypeInfo

* Type

* UFF

* Verbosity


Summary of all keywords
=======================


Engine ForceField
-----------------

"AllowMissingParameters"
   Type:
      Bool

   Default value:
      No

   Description:
      When parameters are not found for bonds, angles, dihedrals, or
      inversions, the first entry in the database will be used.

"APPLE&P"
   Type:
      Block

   Description:
      Options for the APPLE&P force field.

   "ForceFieldParameters"
      Type:
         Block

      Recurring:
         True

      GUI name:
      Description:
         Forcefield parameter text block, provided as alternative to
         the general ForceFieldFile keyword. Will be ignored if
         ForceFieldFile keyword is also present.

   "LongRangeCorrection"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Add long-range correction

      Description:
         Add a long-range dispersion correction to the energy and
         pressure for 3D-periodic systems.

         This correction should be enabled only for a homogeneous
         liquid.

   "MuMu14Scaling"
      Type:
         Float

      Default value:
         1.0

      GUI name:
         Mu-Mu 3rd-neighbor scaling

      Description:
         Scaling factor for dipole-dipole interactions between atoms
         connected to 3rd order (via a dihedral).

   "QMu14Scaling"
      Type:
         Float

      Default value:
         0.2

      GUI name:
         Q-Mu 3rd-neighbor scaling

      Description:
         Scaling factor for charge-dipole interactions between atoms
         connected to 3rd order (via a dihedral).

   "QQ14Scaling"
      Type:
         Float

      Default value:
         1.0

      GUI name:
         Q-Q 3rd-neighbor scaling

      Description:
         Scaling factor for charge-charge interactions between atoms
         connected to 3rd order (via a dihedral).

   "RD14Scaling"
      Type:
         Float

      Default value:
         1.0

      GUI name:
         RD 3rd-neighbor scaling

      Description:
         Scaling factor for repulsion/dispersion interactions between
         atoms connected to 3rd order (via a dihedral).

"BondsUsage"
   Type:
      Multiple Choice

   Default value:
      Auto

   Options:
      [Input, None, Guess, Auto]

   Description:
      Controls what bonds are used by the engine. The choice auto
      means: guess in case there are no bonds. Guessing only happens
      at the first MD step, or first geometry optimization step.

"CheckDuplicateRules"
   Type:
      Bool

   Default value:
      Yes

   Description:
      The database could contain duplicate entries. For torsions this
      is a feature, and the potentials will be added. For all other
      terms this is no allowed, and if detected the program stops. One
      should fix the database or set the checking to false. As always
      the last entry will be used.

"DipoleConvergenceThreshold"
   Type:
      Float

   Default value:
      1e-06

   Unit:
      eBohr

   Description:
      Convergence criterion for induced point dipoles, in atomic
      units. When the length of every atomic delta_mu vector between
      two iterations becomes below the tolerance, the procedure is
      considered converged.

"DoChargeCheck"
   Type:
      Bool

   Default value:
      No

   Description:
      Check that the sum of atomic (partial) charges equals the total
      charge of the system.

"EnergyTerms"
   Type:
      Block

   Description:
      expert key, that allows you to disable specific energy terms.

   "Angle"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to use angle (bend) energy.

   "Coulomb"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to use coulomb energy.

   "Dispersion"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to use dispersion energy.

   "Inversion"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to use inversion energy.

   "Stretch"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to use stretch energy.

   "Torsion"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to use torsion energy.

"EngineConstraints"
   Type:
      Bool

   Default value:
      Yes

   Description:
      Set to false to ignore constraints implied by the engine.

"EwaldSummation"
   Type:
      Block

   Description:
      Configures the details of the particle mesh Ewald (PME)
      summation of the Coulomb interaction.

   "Alpha"
      Type:
         Float

      Default value:
         -1.0

      Unit:
         1/Angstrom

      Description:
         This parameter shifts the workload from real space (smaller
         alpha) to reciprocal space (larger alpha). Using a larger
         [Alpha] without decreasing [GridSpacing] may increase the
         error in the reciprocal-space contribution. Set to zero to
         disable the reciprocal-space Ewald part. Negative value means
         the [Alpha] will be determined automatically from the
         [Tolerance] and [RealSpaceCutoff] values.

   "Enabled"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Set to false to use real-space pair summation instead of the
         Ewald, which is the default and the only option for
         molecules, 1D and 2D periodic systems.

   "GridSpacing"
      Type:
         Float

      Default value:
         0.5

      Unit:
         Angstrom

      Description:
         Grid spacing in the particle mesh Ewald method. Smaller grid
         spacing will make the reciprocal energy calculation more
         accurate but slower. Using a larger [Alpha] value may require
         a smaller GridSpacing to be accurate.

   "RealSpaceCutoff"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Angstrom

      Description:
         Set the cutoff value for the real-space summation. Zero means
         the internal defaults will be used depending on the [Alpha]
         (if Alpha=0 then the cutoff will be set to 50 Bohr, otherwise
         to 20 Bohr).

   "Tolerance"
      Type:
         Float

      Default value:
         1e-10

      Description:
         Value of the error function that should be used to determine
         the cutoff radius for real-space Ewald summation if [Alpha]
         is set on input. Alternatively, if the [RealSpaceCutoff] is
         set but [Alpha] is not then the [Tolerance] value affects the
         [Alpha]. Larger values will make the real-space summation
         faster but less accurate.

"ForceFieldFile"
   Type:
      String

   Default value:
   GUI name:
      Force field library

   Description:
      Path to the force field parameter file

"GAFF"
   Type:
      Block

   Description:
      Specific keywords for the GAFF force field type

   "AtomTyping"
      Type:
         Block

      Description:
         Specific keywords for automatic atom typing for the GAFF
         force field type

      "AntechamberIntegration"
         Type:
            Bool

         Default value:
            No

         GUI name:
            Automatic atom typing

         Description:
            EXPERIMENTAL: Use the Antechamber program to automatically
            determine atom types for the GAFF force field. This may
            run a geometry optimization with MOPAC under the hood in
            order to determine the charges (see keyword
            AntechamberTask), which might not work for very large
            systems.

      "AntechamberTask"
         Type:
            Multiple Choice

         Default value:
            GeometryOptimization

         Options:
            [GeometryOptimization, SinglePoint]

         Description:
            If antechamber is invoked to guess atomtypes and charges
            (GAFF force field), select the task for charge guessing
            with MOPAC

      "KeepAntechamberFolder"
         Type:
            Bool

         Default value:
            No

         Description:
            If atom-typing is performed with antechamber, keep the
            folder after the call to antechamber

      "MolecularCharge"
         Type:
            Block

         Recurring:
            True

         Description:
            Defines a (set of) submolecule(s) with their charge, to be
            Used in GAFF atomtyping.

         "Charge"
            Type:
               Float

            Description:
               Molecular charge of submolecule(s) defined in Region.

         "Region"
            Type:
               String

            Description:
               Region name that defines a (set of) submolecule(s).

   "ForceFieldParameters"
      Type:
         Block

      Recurring:
         True

      GUI name:
      Description:
         Parameter file text in AMBER format with (additional
         parameters, missing from main file). Alternative option to
         ForceFieldPatchFile. The parameter patches provided by
         antechamber can be used here. Cannot be used when atomtypes
         are guessed.

   "ForceFieldPatchFile"
      Type:
         String

      Recurring:
         True

      GUI name:
         Force field patch file

      Description:
         Path to the force field patch parameter file (additional
         parameters, missing from main file). Cannot be used when
         atomtypes are guessed.

"GuessCharges"
   Type:
      Bool

   Default value:
      No

   Description:
      Use another engine to calculate/guess the charges to be used by
      the force field.

"GuessChargesConfig"
   Type:
      Block

   Description:
      Guess charges to be used by the forcefield

   "EngineType"
      Type:
         String

      Default value:
         dftb

      Description:
         Engine that can calculate or guess charges

"LAMMPSOffload"
   Type:
      Block

   Description:
      Offload the calculation to LAMMPS via AMSPipe.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         Enable offloading the force field evaluation to LAMMPS
         instead of handling it internally in AMS. This is currently
         only supported for Type=UFF.

   "Input"
      Type:
         Block

      Description:
         Commands to be passed to LAMMPS to set up the calculation. If
         this is left empty, AMS will generate a set of commands to
         set LAMMPS up according to the settings of the ForceField
         engine. Any LAMMPS commands entered in this input block will
         be used to set LAMMPS up instead of those generated by AMS.
         To merge the AMS-generated lines with your customizations,
         include lines like 'AMS somelammpskeyword' anywhere in this
         block. Any such line will be replaced by the AMS-generated
         line for 'somelammpskeyword'. Any text after
         'somelammpskeyword' will be appended to the generated line
         verbatim, which can be used to modify the generated command
         by additional options. A special line 'AMS everything' will
         be replaced by the entire block of AMS-generated commands,
         except those overridden anywhere in this input block (defined
         manually or inserted using 'AMS somelammpskeyword'. Any
         customized Input block should probably include 'AMS
         read_data' near or at the end to load the AMS-generated data
         file defining the system.

   "UseGPU"
      Type:
         Bool

      Default value:
         No

      Description:
         Accelerate LAMMPS calculations using a GPU. Requires a LAMMPS
         library built with the GPU package.

   "UseGPUForKSpace"
      Type:
         Bool

      Default value:
         Yes

      Description:
         When UseGPU is enabled, also use the GPU to accelerate
         reciprocal space electrostatic interactions. Disabling this
         can improve performance on less powerful GPUs.

   "UseGPUForNeighbor"
      Type:
         Bool

      Default value:
         Yes

      Description:
         When UseGPU is enabled, also use the GPU to accelerate
         neighbor searches. Disabling this can improve performance on
         less powerful GPUs.

   "UseOpenMP"
      Type:
         Bool

      Default value:
         No

      Description:
         Parallelize LAMMPS calculations using OpenMP threading.
         Requires a LAMMPS library built with the OMP package.

   "WorkerCommand"
      Type:
         String

      Default value:
         exec lmp

      Description:
         The command to execute to run the external worker. The
         command is executed in a subdirectory of the results
         directory. The LAMMPS input commands will be passed to the
         worker on standard input.

"LinearizationEnergyForRepulsion"
   Type:
      Float

   Default value:
      3.0

   Unit:
      Hartree

   Description:
      The Lennard-Jones potential becomes extremely repulsive at short
      distances. The distance is determined where the potential
      reaches this threshold, for smaller distances a linear
      expression is used, reducing the repulsion.

"LoadCharges"
   Type:
      Block

   Description:
      Load charges from a file to be used as forcefield charges

   "File"
      Type:
         String

      Description:
         Name of the (kf) file

   "Section"
      Type:
         String

      Default value:
         AMSResults

      Description:
         Section name of the kf file

   "Variable"
      Type:
         String

      Default value:
         Charges

      Description:
         variable name of the kf file

"NeighborListSkin"
   Type:
      Float

   Default value:
      2.5

   Unit:
      Angstrom

   Description:
      Thickness of the buffer region added to the NonBondedCutoff when
      building a neighbor list.

"NonBondedCutoff"
   Type:
      Float

   Default value:
      15.0

   Unit:
      Angstrom

   Description:
      Distance beyond which the non-bonded pair interactions (Coulomb
      and Van der Waals) will be ignored.

      The interactions are smoothly damped starting from
      0.9*NonBondedCutoff.

      Has no effect on the Coulomb term for 3D-periodic systems, as
      Ewald summation is used.

"PairInteractionTapering"
   Type:
      Multiple Choice

   Default value:
      Potential

   Options:
      [None, Potential, Force, CHARMM, CHARMM-Force]

   Description:
      Select a method for smoothing non-bonded pair interactions in
      the distance range between 90% and 100% of the [NonBondedCutoff]
      to avoid energy and force jump near the cutoff.

      Potential - use a 7th order polynomial switching function that
      has zero 1st, 2nd and 3rd derivatives at both ends of the
      interval (force matches the energy derivative).

      Force - the same switching function is applied both to the
      potential and the force (so the force does not match the
      energy), which may break the total energy conservation during
      MD.

      CHARMM - use a different polynomial that does not have a
      decaying 2nd derivative at NonBondedCutoff.

      CHARMM-Force - use the same switching function as CHARMM but
      apply it both to the energy and the forces.

"ReuseTypeInfo"
   Type:
      String

   Default value:
   Description:
      Path to RKF file with atom typing information (atom types,
      charges, and - in case of GAFF or APPLE&P - possibly a
      forcefield (patch) file for the system).

"SoftCorePotentials"
   Type:
      Block

   Description:
      When performing free energy perturbation the LJ interactions
      must be scaled by lambda. To avoid numerical instabilities at
      small lambda, soft-core potentials need to be used (see
      DOI:10.1021/ct900587b).

   "Alpha"
      Type:
         Float

      Default value:
         0.5

      Description:
         This parameter determines how far the soft-core potential
         deviates from the scaled regular LJ potential (at zero the
         expression is a regular LJ expression).

   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         Set to True to use the scaled soft-core LJ potentials.

   "Lambda"
      Type:
         Float

      Default value:
         1.0

      Description:
         The scaling parameter for the LJ interaction term for free
         energy perturbation (the window).

"TaperPairInteractions"
   Type:
      Bool

   Default value:
      Yes

   Description:
      Smooth non-bonded pair interactions in the distance range
      between 90% and 100% of the [NonBondedCutoff] to avoid energy
      and force jump near the cutoff. See PairInteractionTapering for
      more precise tuning.

"Type"
   Type:
      Multiple Choice

   Default value:
      UFF

   Options:
      [UFF, Amber95, GAFF, Tripos5.2, APPLE&P, UserDefined]

   Description:
      Type of force field to be used

"UFF"
   Type:
      Block

   Description:
      Option for the UFF force filed.

   "AtomTypesFile"
      Type:
         String

      Default value:
         mmatomtypes_db

      Description:
         Expert option: Select the file that defines how UFF
         determines the atom types

   "Database"
      Type:
         String

      Default value:
         general_db

      Description:
         Expert option: Select the file that defines the UFF
         parameters per atom type

   "ElementsFile"
      Type:
         String

      Default value:
         elements_db

      Description:
         Expert option: Select the file that defines the elements
         known to UFF

   "Library"
      Type:
         Multiple Choice

      Default value:
         UFF

      Options:
         [UFF, UFF4MOF, UFF4MOF-II]

      GUI name:
         Force field library

      Description:
         Selects the used parameter library.

"Verbosity"
   Type:
      Multiple Choice

   Default value:
      Silent

   Options:
      [Silent, Normal, Verbose, VeryVerbose]

   Description:
      Controls the verbosity of the engine.
